package com.unis.sxzcl.base.base_detail;

/**
 * 包名: com.unis.sxzcl.base.base_detail
 * 类名: BaseDetailBean
 * 作用描述:
 * 创建人: mQ
 * 创建时间: 2020/12/2 15:30
 * 更新人:
 * 更新时间: 2020/12/2 15:30
 * 更新说明:
 * 版本号: 1.0
 */
public class BaseDetailBean {

    private int type; //行类型
    private String title; //标题
    private String content;//内容
    private boolean nextIcon;
    private boolean downIcon;

    public BaseDetailBean(@BaseDetail int type) {
        this.type = type;
    }

    public BaseDetailBean(@BaseDetail int type, String title, String content) {
        this.type = type;
        this.title = title;
        this.content = content;
    }

    public BaseDetailBean(@BaseDetail int type, String title) {
        this.type = type;
        this.title = title;
    }

    public BaseDetailBean setType(@BaseDetail int type) {
        this.type = type;
        return this;
    }

    public BaseDetailBean setTitle(String title) {
        this.title = title;
        return this;
    }

    public BaseDetailBean setContent(String content) {
        this.content = content;
        return this;
    }

    public BaseDetailBean setNextIcon(boolean nextIcon) {
        this.nextIcon = nextIcon;
        return this;
    }

    public BaseDetailBean setDownIcon(boolean downIcon) {
        this.downIcon = downIcon;
        return this;
    }

    public int getType() {
        return type;
    }

    public String getTitle() {
        return title;
    }

    public String getContent() {
        return content;
    }

    public boolean isNextIcon() {
        return nextIcon;
    }

    public boolean isDownIcon() {
        return downIcon;
    }
}
